os = reaper.GetOS()

if "Win" == string.match(os,"(Win)") then
   package.cpath = package.cpath .. ";"..reaper.GetResourcePath() .."/UserPlugins/?.dll"
else
   package.cpath = package.cpath .. ";"..reaper.GetResourcePath() .."/UserPlugins/?.dylib"
end
require("reaper_AZSTOKE_SILVER")


function Msg(param)
   reaper.ShowConsoleMsg(tostring((param)).."\n")
end

retval,inputList = AZ_SILVER.AZ_GetUserInputList("insertMedia",1,"path:","D:/")

if retval then
   _,filePathList = AZ_SILVER.AZ_GetFilePathList(inputList[1],"wav")

   _,_,addPath = reaper.AZ_SetProjectPathFolder("AZSTOKE",3)
   _,beforePath,afterPath = reaper.AZ_SetProjectInfoRecAddPath(0,addPath)

   startPos = 0

   for i, value in pairs(filePathList) do
       item = reaper.AZ_InsertMediaTrackIdSecond(0,1,filePathList[i],0,startPos)
       _,endTime = reaper.AZ_GetMediaItemEndTime(item)
       startPos = endTime + 1
   end

   reaper.AZ_SetProjectInfoRecPath(0,beforePath)
end

